Package org.apache.uima.cas.impl

# Class BuiltinTypeKinds

java.lang.Object
org.apache.uima.cas.impl.BuiltinTypeKinds

public class BuiltinTypeKinds extends Object
Constants representing Built in type collections String Sets: creatableArrays primitiveTypeNames == noncreatable primitives creatableBuiltinJcas (e.g. empty/non-empty FloatList non creatable primitives (e.g. can't do createFS for primitive int) non creatable and builtin Arrays

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Set<String>`
  `creatableArrays`
  `static final Set<String>`
  `creatableBuiltinJCas`
  These types are - builtin, but could be extended by user - creatable - so they need a generator.
  `static final Set<String>`
  `creatableBuiltinJCasClassNames`
  `static final Set<String>`
  `nonCreatablePrimitives`
  `static final Set<String>`
  `nonCreatableTypesAndBuiltinArrays`
  These types can not be created with CAS.createFS().

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BuiltinTypeKinds()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static boolean`
  `nonCreatableTypesAndBuiltinArrays_contains(String name)`
  `static boolean`
  `primitiveTypeNames_contains(String name)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### creatableArrays

    public static final Set<String> creatableArrays

  - ### nonCreatablePrimitives

    public static final Set<String> nonCreatablePrimitives

  - ### nonCreatableTypesAndBuiltinArrays

    public static final Set<String> nonCreatableTypesAndBuiltinArrays
    These types can not be created with CAS.createFS(). Arrays can be created using CAS.create<XYZ>Array XYZ = Boolean, Byte, etc.

  - ### creatableBuiltinJCasClassNames

    public static final Set<String> creatableBuiltinJCasClassNames

  - ### creatableBuiltinJCas

    public static final Set<String> creatableBuiltinJCas
    These types are - builtin, but could be extended by user - creatable - so they need a generator. -- non-creatable built-in types are not generated

- ## Constructor Details

  - ### BuiltinTypeKinds

    public BuiltinTypeKinds()

- ## Method Details

  - ### primitiveTypeNames_contains

    public static boolean primitiveTypeNames_contains(String name)
    Parameters:
      `name` - -
    Returns:
      -

  - ### nonCreatableTypesAndBuiltinArrays_contains

    public static boolean nonCreatableTypesAndBuiltinArrays_contains(String name)
    Parameters:
      `name` - -
    Returns:
      -